summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 24cf6e5)
raw | patch | inline | side by side (parent: 24cf6e5)
author | Johannes Schindelin <Johannes.Schindelin@gmx.de> | |
Wed, 26 Jul 2006 21:11:46 +0000 (23:11 +0200) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 26 Jul 2006 21:29:40 +0000 (14:29 -0700) |
Signed-off-by: Johannes Schindelin <Johannes.Schindelin@gmx.de>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-instaweb.sh | patch | blob | history |
diff --git a/git-instaweb.sh b/git-instaweb.sh
index 9829c591543b0fe4dd55b996cb399d925dda08ab..16cd351f7f0d992be37be83017961c70731d4cc5 100755 (executable)
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
fi
done
fi
+ if test $? != 0; then
+ echo "Could not execute http daemon $httpd."
+ exit 1
+ fi
}
stop_httpd () {
else
# plain-old CGI
list_mods=`echo "$httpd" | sed "s/-f$/-l/"`
- $list_mods | grep 'mod_cgi\.c' >/dev/null || \
+ $list_mods | grep 'mod_cgi\.c' >/dev/null 2>&1 || \
echo "LoadModule cgi_module $module_path/mod_cgi.so" >> "$conf"
cat >> "$conf" <<EOF
AddHandler cgi-script .cgi
start_httpd
test -z "$browser" && browser=echo
-$browser http://127.0.0.1:$port
+url=http://127.0.0.1:$port
+$browser $url || echo $url